# The MEME Suite

## Motif-based sequence analysis tools

## fasta-center

### Usage:

`fasta-center [options]`

### Description

Reads sequences in FASTA format. For each sequence, it outputs the central portion of the sequence. The flanking regions can also be output to a separate file. When the alphabet is specified and the central portion of a sequence consists of nothing but the wildcard it is not output.

### Input

Sequences in FASTA format from standard input.

### Output

Writes a FASTA format file to standard output.

### Options

Option | Parameter | Description | Default Behavior
--- | --- | --- | ---
Alphabet Options
General Options
-len | len | Length of central region to output. If this is larger than the length of a sequence, the entire sequence is output. | 100
-flank | filename | Output the regions flanking the central regions to a file named filename. The FASTA IDs of the flanking regions on the left (right) are the original FASTA ID with '-L' ('-R') appended. | Flanking regions are not output.
-reject | filename | Output any rejected central regions to a file named filename. | Rejected central regions are not output.